View Issue Details

IDProjectCategoryView StatusLast Update
0001583SymmetricDSImprovementpublic2014-02-15 14:20
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.16 
Target Version3.5.17Fixed in Version3.5.17 
Summary0001583: Create new value map column transform
DescriptionAllow simple value mappings via the transform expression, such as
foo1=value1 foo2=value2 foo3=value3. The transform would look up the source value in the list and transform to the target value.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a855bec9

2014-02-14 13:48:48

eegeek

Details Diff
0001583: Create new value map column transform
0001583
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ValueMapColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master b4c321ec

2014-02-14 14:02:11

eegeek

Details Diff
0001583: Create new value map column transform
0001583
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ValueMapColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2014-02-14 13:43 mhanes New Issue
2014-02-14 13:43 mhanes Status new => assigned
2014-02-14 13:43 mhanes Assigned To => mhanes
2014-02-14 14:00 Changeset attached => SymmetricDS trunk r7945
2014-02-14 15:00 Changeset attached => SymmetricDS trunk r7946
2014-02-15 14:20 chenson Status assigned => resolved
2014-02-15 14:20 chenson Fixed in Version => 3.5.17
2014-02-15 14:20 chenson Resolution open => fixed
2014-02-15 14:20 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master b4c321ec
2015-07-30 21:49 Changeset attached => SymmetricDS master a855bec9